Bug 282261 - Review Request: isync - Tool to synchronize IMAP4 and Maildir mailboxes
Review Request: isync - Tool to synchronize IMAP4 and Maildir mailboxes
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-07 08:56 EDT by Lubomir Kundrak
Modified: 2016-08-14 12:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-10 14:33:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahut: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-09-07 08:56:03 EDT
Spec URL: http://people.redhat.com/lkundrak/SPECS/isync.spec
SRPM URL: http://people.redhat.com/lkundrak/mock-results/isync-1.0.3-1.fc7.i386/isync-1.0.3-1.fc7.src.rpm
Description: Tool to synchronize IMAP4 and Maildir mailboxes

isync is a command line application which synchronizes mailboxes; currently Maildir and IMAP4 mailboxes are supported. New messages, message deletions and flag changes can be propagated both ways. isync is suitable for use in IMAP-disconnected mode.
Comment 1 Lubomir Kundrak 2007-09-07 08:58:19 EDT
rpmlint is silent on all generated packages.
The build logs from mock can help you review the package:
Thanks for the review.
Comment 2 Lubomir Kundrak 2007-09-07 09:16:32 EDT
I added an openssl-devel dependency to enable SSL support and bumped the
Revision by one. And thus, here are the actual files:
Spec URL: http://people.redhat.com/lkundrak/SPECS/isync.spec

Mock output is
Comment 4 Lubomir Kundrak 2007-09-09 15:42:56 EDT
Till: thanks for your suggestions, the respective changes have been included
together with a fix for compilation on Rawhide (new open() semantics).

The new packages are here:
Spec URL: http://people.redhat.com/lkundrak/SPECS/isync.spec

Mock output is:
Comment 5 Marek Mahut 2007-09-09 16:18:18 EDT
Package appears correct and builds correctly as well.


BTW, sync isn't Apple(TM) trademark as per
Comment 6 Lubomir Kundrak 2007-09-09 16:25:49 EDT
Marek: thanks for looking up that apple isync thing, I was a bit worried about it.
CVS admins, here's the request:

New Package CVS Request
Package Name: isync
Short Description: Tool to synchronize IMAP4 and Maildir mailboxes
Owners: lkundrak
Branches: FC-6 F-7 EL-5 EL-4
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2007-09-09 18:38:33 EDT
cvs done. 
Comment 8 Lubomir Kundrak 2007-09-10 14:33:49 EDT
The package has been imported into CVS and built in all branches. Thanks Kevin,
Marek and Tiil.

Note You need to log in before you can comment on or make changes to this bug.